
	.data
	.bss
	.org $2800
	
		_vblank: .ds 1
		_ppu_reg0: .ds 1
		_ppu_reg1: .ds 1
		_ppu_reg2: .ds 1
		_x_scroll: .ds 2
		_y_scroll: .ds 2
		frame_counter_internal: .ds 1
		_vdc_status: .ds 1
		_temp:	.ds 1
		_ppu_vaddr_latch: .ds 1
		_ppu_2007_wbffr: .ds 1
		_vwrite_lsb_cache: .ds 1
		_ppu_vaddr_hi:	.ds	1
		_ppu_vaddr_low:	.ds 1
		_ppu_index: .ds 1
		b.offset:	.ds 1
		_spr_lsb:	.ds	1
		_spr_msb:	.ds	1
		_spr_pos:	.ds	1
		_spr_x_flip: ds 1
		_spr_y_flip: ds 1
		spr_bffr:	.ds 256
		pal_bffr:	.ds	64						; test buffer
		__gamepad: .ds 1
		dma_src: .ds 2
		y_pos: .ds 2
		s_addr: .ds 2
		s_attr: .ds 2
		_x_scroll_tmp: .ds 2
		mirror_addr: .ds 2
		atr_vaddr: .ds 2
		_pal1: .ds 1
		_pal2: .ds 1
		_pal3: .ds 1
		_pal4: .ds 1
		_ppu_vaddr_r_low: .ds 1
		_ppu_vaddr_r_hi: .ds 1
		_2006_bffr: .ds 1
		_NMI_routine: .ds 1
		_VStemp0: .ds 1
		_internal_halt: .ds 1
		_vdc_reg: .ds 1
		_intl_ptrn_vaddr_low: .ds 1
		_intl_ptrn_vaddr_hi: .ds 1
		_ppu_read_delay: .ds 1
		_hsync_cntr: .ds 1
		_hsync_mirror_active: .ds 1
		hsync_mirror: .ds 2
		_mirror_code: .ds 1
		v_mirror: .ds 1
		_2nd_half: .ds 1
		_cr_reg: .ds 1


;APU variables

    ch0_stat:     .ds 1
    ch0_reg3:			.ds 1
    ch0_duty:     .ds 1
    ch0_cntr:     .ds 1
    ch0_vol:      .ds 1
    ch0_decay:    .ds 1
    ch0_lc_state: .ds 1
    ch0_pce_vol:  .ds 1
    ch0_len_cntr: .ds 1
    ch0_len_reload:	.ds 1
    ch0_prd_low:  .ds 1
    ch0_prd_hi:   .ds 1
    ch0_swp_lo:   .ds 1
    ch0_swp_hi:   .ds 1
    ch0_swp_stat: .ds 1
    ch0_swp_cntr:	.ds 1
    ch0_swp_shft: .ds 1
    
    ch1_stat:     .ds 1
    ch1_reg3:			.ds 1
    ch1_duty:     .ds 1
    ch1_cntr:     .ds 1
    ch1_vol:      .ds 1
    ch1_decay:    .ds 1
    ch1_lc_state: .ds 1
    ch1_pce_vol:  .ds 1
    ch1_len_cntr: .ds 1
    ch1_len_reload:	.ds 1
    ch1_prd_low:  .ds 1
    ch1_prd_hi:   .ds 1

    ch2_stat:     .ds 1
    ch2_reg3:			.ds 1
    ch2_cntr:     .ds 1
    ch2_vol:      .ds 1
    ch2_decay:    .ds 1
    ch2_lc_state: .ds 1
    ch2_pce_vol:  .ds 1
    ch2_len_cntr: .ds 1
    ch2_len_reload:	.ds 1
    ch2_lin_reload:	.ds 1
    ch2_prd_low:  .ds 1
    ch2_prd_hi:   .ds 1

    ch3_stat:     .ds 1
    ch3_reg3:			.ds 1
    ch3_reg4:			.ds 1
    ch3_cntr:     .ds 1
    ch3_vol:      .ds 1
    ch3_decay:    .ds 1
    ch3_lc_state: .ds 1
    ch3_pce_vol:  .ds 1
    ch3_len_cntr: .ds 1
    ch3_len_reload:	.ds 1
    ch3_prd_low:  .ds 1
    ch3_prd_hi:   .ds 1

      
    apu_flag:     .ds 1   
    apu_stat_wr:  .ds 1
    apu_stat_rd:  .ds 1


		_int_chn0_off: .ds 1
		_int_chn1_off: .ds 1
		_int_chn2_off: .ds 1
		

;Attribute cache		

	.org $3200
		atr_tbl0_bffr: .ds $40
		test_space: .ds $40
		atr_tbl1_bffr: .ds $40





		