

AUDIO_RTN:
			stz $6801
			sta $e5
			beq .short_rts
			;cmp #$03
			;bcs .next
			;jmp $8190
.next
			cmp #$24
			bcs .cont
			jmp $8190
			
.short_rts
			sta <$c2
			sta <$d2
			rts	
			
.cont
			cmp #$56
			bcc .play_track
			jmp $8190
						
						
.play_track						
			php
			sei
			pha
			phx
			phy
			cmp #$55
			bcs .pause
			cmp #$2a
			bcc .sound_effects
.music_track
			tay
			lda A_RTN_LUT,y
			beq .pause
			stz _cd_status
			inc _cd_status
			lda #$f8
			tam #$01
			lda #$00
			tam #$07
			lda #$ff
			tam #$00

			
			lda A_RTN_LUT,y
			and #$7f
			sta _al
			stz _ah
			stz _bl
			lda #$80
			sta _bh
			lda #$03
			sta _cl
			stz _ch
			stz _dl
			lda A_RTN_LUT,y
			asl a
			lda #$81
			adc #$00
			sta _dh
			jsr $e012
			lda #$87
			tam #$01
			tam #$00
			lda #$11+$68
			tam #$07
			bra .out

.pause			
			tst #$ff, _cd_status
			beq .out
			lda #$f8
			tam #$01
			lda #$00
			tam #$07
			lda #$ff
			tam #$00
			
			jsr CD_PAUSE
			stz _cd_status
			lda #$87
			tam #$01
			tam #$00
			lda #$11+$68
			tam #$07
			bra .out

.out
			ply
			plx
			pla
			plp
			jmp $8190

.sound_effects
			bra .out
			
			

;###########################################################################
;
; instrument/track LUT

A_RTN_LUT:

			;	 00  01  02  03  04  05  06  07  08  09  0a  0b  0c  0d  0e  0f

		.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00		; 00
		.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00		; 10
		.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$02,$02,$02,$00,$00,$00		; 20
		.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00		; 30
		.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00		; 40
		.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00		; 50
		.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00		; 60
		.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00		; 70
		.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00		; 80
		.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00		; 90
		.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00		; a0
		.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00		; b0
		.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00		; c0
		.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00		; d0
		.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00		; e0
		.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00		; f0



;###########################################################################
;
; CD interrupt vector
__IRQ2:
	
		pha
		phy
		phx
		lda #$ff
		tam #$00
		lda #$f8
		tam #$01
		lda #$00
		tam #$07

		lda #high(irq2_sys_rtn)
		pha
		lda #low(irq2_sys_rtn)
		pha
		php
		
		jmp [$fff6]
		
irq2_sys_rtn:		
		lda #$87
		tam #$00
		tam #$01
		lda #$11+$68
		tam #$07
		plx
		ply
		pla
		rti
		
		
		























