
; Mapper equates

BASE_ROM_ADDR = $02
FIXED_BANK  = $10


; VDC equates 

VDC_STAT .equ	$00		;VDC status reg
MAWR	.equ	$00		;Memory Access Write Reg
MARR	.equ	$01		;Memory Access Read Reg
VRWR	.equ	$02		;Vram Read/Write reg
CR	.equ	$05		;Control Reg
RCR	.equ	$06		;Raster Control Reg
BXR	.equ	$07		;Background X(scroll) Reg
BYR	.equ	$08		;Background Y(scroll) Reg
MWR	.equ	$09		;Memory Access Width Reg
HSR	.equ	$0a		;Horizontal Synchro Reg
HDR	.equ	$0b		;Horizontal Display Reg
VSR	.equ	$0c		;Vertical Synchro Reg
VDR	.equ	$0d		;Vertical Display Reg
VDE	.equ	$0e		;Vertical Display End Reg
DCR	.equ	$0f		;DMA Control Reg
DSR	.equ	$10		;DMA Source Address Reg
DDR	.equ	$11		;DMA Destination Address Reg
DBR	.equ	$12		;DMA Block Length Reg
SATB	.equ	$13		;VRAM-SATB Source Address Reg 
L_RES	.equ	$04		;(5.37mhz) 256
M_RES	.equ	$05		;(7.1mhz) 352
H_RES	.equ	$06		;(10.5mhz) 512