;
;
; Boot code to load rom it memory (SCD).
;
; ver. 1.2 (No SCD check yet) 
;
; Tomaitheous '07
;
;


_al .equ $20f8
_ah .equ $20f9
_bl .equ $20fa
_bh .equ $20fb
_cl .equ $20fc
_ch .equ $20fd
_dl .equ $20fe
_dh .equ $20ff

	.bank 0		; bank $80
	
	.org $4070 	; SCD starting point - different IPL.bin have different starting points.
	.code
	bra startup

	.org $4091	; Alt starting point.

	startup:		; copy itself to system ram
	sei
	
	lda #$48
	sta <_al		; sectors in length
	stz <_ah
	
	lda #$68		; starting bank #$68
	sta _bl
	
	lda #$00		; LBA 00:00:06
	sta <_cl
	lda #$00
	sta <_ch
	lda #$06
	sta <_dl
	
	lda #$03		; MPR 3 / $6000
	sta <_dh

	jsr $e009
	
	lda #$68
	tam #$07
	
	jmp [$fffe]














































 